macOSGeneralDeviceConfiguration の更新
名前空間: microsoft.graph
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
macOSGeneralDeviceConfiguration オブジェクトのプロパティを更新します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | DeviceManagementConfiguration.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementConfiguration.ReadWrite.All |
HTTP 要求
PATCH /deviceManagement/deviceConfigurations/{deviceConfigurationId}
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で、macOSGeneralDeviceConfiguration オブジェクトの JSON 表記を指定します。
次の表に、macOSGeneralDeviceConfiguration 作成時に必要なプロパティを示します。
| プロパティ | 型 | 説明 |
|---|---|---|
| id | String | エンティティのキー。 deviceConfiguration から継承します |
| lastModifiedDateTime | DateTimeOffset | オブジェクトの最終更新の DateTime。 deviceConfiguration から継承します |
| createdDateTime | DateTimeOffset | オブジェクトが作成された DateTime。 deviceConfiguration から継承します |
| 説明 | String | 管理者が指定した、デバイス構成についての説明。 deviceConfiguration から継承します |
| displayName | 文字列 | 管理者が指定した、デバイス構成の名前。 deviceConfiguration から継承します |
| version | Int32 | デバイス構成のバージョン。 deviceConfiguration から継承します |
| compliantAppsList | appListItem コレクション | コンプライアンス内のアプリのリスト (CompliantAppListType によって制御される、許可リストまたは禁止リスト)。 このコレクションには、最大で 10000 個の要素を含めることができます。 |
| compliantAppListType | appListType | CompliantAppsList 内にあるリスト。 可能な値は、none、appsInListCompliant、appsNotInListCompliant です。 |
| emailInDomainSuffixes | String コレクション | これらの文字列のいずれかに一致するサフィックスがないメール アドレスは、ドメイン外と見なされます。 |
| passwordBlockSimple | Boolean | 単純なパスワードを禁止します。 |
| passwordExpirationDays | Int32 | パスワードの有効期限が切れるまでの日数。 |
| passwordMinimumCharacterSetCount | Int32 | パスワードが含まなければならない文字セットの数。 有効な値は 0 から 4 までです |
| passwordMinimumLength | Int32 | パスワードの最小の長さ。 |
| passwordMinutesOfInactivityBeforeLock | Int32 | パスワードが要求されるまでに必要な非アクティブ時間 (分)。 |
| passwordMinutesOfInactivityBeforeScreenTimeout | Int32 | 画面がタイムアウトになるまでに必要な非アクティブ時間 (分)。 |
| passwordPreviousPasswordBlockCount | Int32 | ブロックする、以前のパスワードの数。 |
| passwordRequiredType | requiredPasswordType | 必要なパスワードの種類。 可能な値は、deviceDefault、alphanumeric、numeric です。 |
| passwordRequired | Boolean | パスワードを要求するかどうかを指定します。 |
応答
成功した場合、このメソッドは 200 OK 応答コードと、更新された macOSGeneralDeviceConfiguration オブジェクトを応答本文で返します。
例
要求
以下は、要求の例です。
PATCH https://graph.microsoft.com/v1.0/deviceManagement/deviceConfigurations/{deviceConfigurationId}
Content-type: application/json
Content-length: 906
{
"@odata.type": "#microsoft.graph.macOSGeneralDeviceConfiguration",
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"compliantAppsList": [
{
"@odata.type": "microsoft.graph.appListItem",
"name": "Name value",
"publisher": "Publisher value",
"appStoreUrl": "https://example.com/appStoreUrl/",
"appId": "App Id value"
}
],
"compliantAppListType": "appsInListCompliant",
"emailInDomainSuffixes": [
"Email In Domain Suffixes value"
],
"passwordBlockSimple": true,
"passwordExpirationDays": 6,
"passwordMinimumCharacterSetCount": 0,
"passwordMinimumLength": 5,
"passwordMinutesOfInactivityBeforeLock": 5,
"passwordMinutesOfInactivityBeforeScreenTimeout": 14,
"passwordPreviousPasswordBlockCount": 2,
"passwordRequiredType": "alphanumeric",
"passwordRequired": true
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 1078
{
"@odata.type": "#microsoft.graph.macOSGeneralDeviceConfiguration",
"id": "dc356aee-6aee-dc35-ee6a-35dcee6a35dc",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"compliantAppsList": [
{
"@odata.type": "microsoft.graph.appListItem",
"name": "Name value",
"publisher": "Publisher value",
"appStoreUrl": "https://example.com/appStoreUrl/",
"appId": "App Id value"
}
],
"compliantAppListType": "appsInListCompliant",
"emailInDomainSuffixes": [
"Email In Domain Suffixes value"
],
"passwordBlockSimple": true,
"passwordExpirationDays": 6,
"passwordMinimumCharacterSetCount": 0,
"passwordMinimumLength": 5,
"passwordMinutesOfInactivityBeforeLock": 5,
"passwordMinutesOfInactivityBeforeScreenTimeout": 14,
"passwordPreviousPasswordBlockCount": 2,
"passwordRequiredType": "alphanumeric",
"passwordRequired": true
}
フィードバック
フィードバックの送信と表示